Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227128 - Review Request: xstream-1.1.3-1jpp - XML serialization library
Summary: Review Request: xstream-1.1.3-1jpp - XML serialization library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 252094 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-02 18:02 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-28 17:40:17 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 18:02:42 UTC
Spec URL: http://people.redhat.com/rafaels/specs/xstream-1.1.3-1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/xstream-1.1.3-1jpp.src.rpm
Description: XStream is a simple library to serialize objects to XML
and back again. A high level facade is supplied that
simplifies common use cases. Custom objects can be serialized
without need for specifying mappings. Speed and low memory
footprint are a crucial part of the design, making it suitable
for large object graphs or systems with high message throughput.
No information is duplicated that can be obtained via reflection.
This results in XML that is easier to read for humans and more
compact than native Java serialization. XStream serializes internal
fields, including private and final. Supports non-public and inner
classes. Classes are not required to have default constructor.
Duplicate references encountered in the object-model will be
maintained. Supports circular references. By implementing an
interface, XStream can serialize directly to/from any tree
structure (not just XML). Strategies can be registered allowing
customization of how particular types are represented as XML.
When an exception occurs due to malformed XML, detailed diagnostics
are provided to help isolate and fix the problem.

Javadoc for xstream.

Comment 1 Vivek Lakshmanan 2007-08-14 00:14:42 UTC
*** Bug 252094 has been marked as a duplicate of this bug. ***

Comment 2 Thomas Moschny 2008-06-20 17:21:20 UTC
Note that the latest version of XStream is 1.3.

Comment 3 Jason Tibbitts 2008-06-21 23:33:08 UTC
This package could also use some work to meet the current Java packaging
guidelines.  Is there still any interest in getting this into Fedora, along with
all of the other Java packages that were submitted before the guidelines were
complete?

If there's no interest right now, I can go ahead and mark them as not being
ready for review and when that work is done they can go back into the review queue.

Comment 4 Jason Tibbitts 2008-06-28 17:40:17 UTC
No response.  I had chatted with someone from the Red Hat Java team who
indicated that these should probably all be closed anyway, but unfortunately I
can't find it in my logs right now.

So I'll close all of these; if that's in error, please reopen them but please
also update the packages to correspond with the Java packaging guidelines.


Note You need to log in before you can comment on or make changes to this bug.